<?php

return [
    'ctrl' => [
        'label' => 'name',
        'title' => 'inline',
        'enablecolumns' => [
            'disabled' => 'hidden'
        ]
    ],
    'types' => [
        '0' => [
            'showitem' => 'name, hidden'
        ],
    ],
    'columns' => [
        'name' => [
            'label' => 'name',
            'config' => [
                'type' => 'text'
            ]
        ],
        'hidden' => [
            'exclude' => true,
            'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.visible',
            'config' => [
                'type' => 'check',
                'renderType' => 'checkboxToggle',
                'default' => 1,
                'items' => [
                    [
                        'label' => '',
                        'invertStateDisplay' => true,
                    ],
                ],
            ],
        ],
    ]
];